Bug 1173382 - openat2: location of header file
openat2: location of header file
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Petr Gajdos
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-25 18:11 UTC by Detlef Eppers
Modified: 2020-06-30 14:50 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Detlef Eppers 2020-06-25 18:11:09 UTC
openat2 is a new system call that was introduced only recently in kernel 5.6.

The man page instructs me to
#include <openat2.h>

Unfortunately the file does not exist in the paths searched by the preprocessor, it has been put in /usr/include/linux/ instead.

Would it be possible to either update the man page (#include <linux/openat2.h>), or adjust the header file location?
Comment 1 Jeff Mahoney 2020-06-26 03:45:11 UTC
I'm not sure how this is a kernel bug other than all system calls happening in the  kernel.  This is an issue in the man pages.
Comment 2 Petr Gajdos 2020-06-30 14:17:24 UTC
Fixed in TW.
Comment 3 OBSbugzilla Bot 2020-06-30 14:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1173382) was mentioned in
https://build.opensuse.org/request/show/817898 Factory / man-pages